This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 183605 - deadlock in base audio sink on playing->paused state change
deadlock in base audio sink on playing->paused state change
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: gstreamer-plugins-base (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Need Real Name
http://bugzilla.gnome.org/show_bug.cg...
:
Depends On:
Blocks: FC5Update
  Show dependency treegraph
 
Reported: 2006-03-02 04:33 EST by David Nielsen
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-21 16:46:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 330748 None None None Never

  None (edit)
Description David Nielsen 2006-03-02 04:33:07 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20060212 Epiphany/1.9

Description of problem:
Gstreamer has a nasty deadlock casued by seeking, it should definately be fixed for FC5 as it's quite visible to the user. 

Version-Release number of selected component (if applicable):
gstreamer-plugins-base-0.10.3-3

How reproducible:
Always

Steps to Reproduce:
1. repeatedly change state between playing and paused state e.g. repeated seeking

  

Actual Results:  2. Deadlock

Expected Results:  2. flawless operation

Additional info:
Comment 1 David Nielsen 2006-03-21 16:46:22 EST
gstreamer-plugins-base-0.10.5-1 fixes this.

Note You need to log in before you can comment on or make changes to this bug.